GWT 2.7.0

## com.google.gwt.codegen.server
Class CodeGenContext.AbortCodeGenException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  com.google.gwt.codegen.server.CodeGenContext.AbortCodeGenException

All Implemented Interfaces:
  java.io.Serializable

Enclosing interface:
  CodeGenContext

    public static class CodeGenContext.AbortCodeGenException

extends java.lang.RuntimeException

An exception which can be thrown by a code generator to abort - callers of code generators should catch this exception.

See Also:
  Serialized Form

Constructor Summary
`CodeGenContext.AbortCodeGenException()`
`CodeGenContext.AbortCodeGenException(java.lang.String msg)`
`CodeGenContext.AbortCodeGenException(java.lang.String msg, java.lang.Throwable cause)`
`CodeGenContext.AbortCodeGenException(java.lang.Throwable cause)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CodeGenContext.AbortCodeGenException

    public CodeGenContext.AbortCodeGenException()

### CodeGenContext.AbortCodeGenException

    public CodeGenContext.AbortCodeGenException(java.lang.String msg)

### CodeGenContext.AbortCodeGenException

    public CodeGenContext.AbortCodeGenException(java.lang.String msg,
                                                java.lang.Throwable cause)

### CodeGenContext.AbortCodeGenException

    public CodeGenContext.AbortCodeGenException(java.lang.Throwable cause)

GWT 2.7.0